package com.simuwang.base.pojo.dos.sys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.common.support.dos.DataEntity;
import com.simuwang.base.pojo.vo.sys.SysRoleVO;
import lombok.Getter;
import lombok.Setter;

/**
 * FileName: SysRoleDO
 * Author:   chenjianhua
 * Date:     2024/9/8 12:45
 * Description: ${DESCRIPTION}
 */
@Setter
@Getter
@TableName("sys_role")
public class SysRoleDO extends DataEntity<SysRoleVO> {
    /**
     * 角色ID
     */
    @TableId(type = IdType.AUTO)
    private Integer roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色权限
     */
    private String roleKey;

    /**
     * 角色排序
     */
    private Integer roleSort;

//    /**
//     * 数据范围（1：所有数据权限；2：自定义数据权限；3：本部门数据权限；4：本部门及以下数据权限；5：仅本人数据权限）
//     */
//    private String dataScope;

    /**
     * 角色状态（1正常 0停用）
     */
    private Integer status;

//    /**
//     * 用户是否存在此角色标识 默认不存在
//     */
//    private boolean flag = false;
    /**
     * 备注
     */
    private String remark;

    @Override
    public SysRoleVO toVo() {
        SysRoleVO vo = new SysRoleVO();
        vo.setRoleId(this.roleId);
        vo.setRoleName(this.roleName);
        vo.setRoleKey(this.roleKey);
        vo.setRemark(this.remark);
        vo.setRoleSort(this.roleSort);
        vo.setStatus(this.status);
        vo.setCreatorId(this.getCreatorId());
        vo.setCreateTime(this.getCreateTime());
        return vo;
    }
}
